# -*- coding: utf-8 -*-
"""
Created on 6.9. 2018

@author: philippsen
"""
# P-T1 

from scipy.integrate import odeint
import numpy as np
import matplotlib.pyplot as plt

def deriv(xa, t, xe):
    a0 = 0.7
    b0 = 0.2
    xapunkt = -a0*xa + b0*xe
    return xapunkt

time = np.arange(0.0, 10.0, 0.01)
xaAnfang = 0
u = 1.0
xa = odeint(deriv, xaAnfang, time, args=(u,))
plt.figure()
plt.plot(time,xa[:,0] ) # 

plt.title('Lösung DGL mit Python P-T1')
plt.grid()
plt.show()